summaryrefslogtreecommitdiff
path: root/tests/cp/debug.sh
diff options
context:
space:
mode:
authorPádraig Brady <P@draigBrady.com>2023-04-25 11:07:36 +0100
committerPádraig Brady <P@draigBrady.com>2023-04-25 11:17:54 +0100
commitcc078f747f3db00e70b2ae2ad2ab34e8d54316d3 (patch)
tree17b8469d7af762a1779975bcd597180bf5384c41 /tests/cp/debug.sh
parent7ea7c020e844687eec15fc4749760bb29dee541a (diff)
downloadcoreutils-cc078f747f3db00e70b2ae2ad2ab34e8d54316d3.tar.gz
copy: reduce verbosity of -i and -u with --verbose
Since skipping of files is central to the operation of -i and -u, and with -u one may be updating few files out of many, reinstate the verbosity of this functionality as it was before 9.3. * src/copy.c (copy_internal): Only output "skipped" message with --debug. Also adjust so message never changes with --debug. * tests/cp/cp-i.sh: Adjust accordingly. * tests/mv/mv-n.sh: Likewise. * tests/cp/debug.sh: Add explicit test case for message. * NEWS: Mention the change in behavior.
Diffstat (limited to 'tests/cp/debug.sh')
-rwxr-xr-xtests/cp/debug.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/tests/cp/debug.sh b/tests/cp/debug.sh
index b46adc637..242894de2 100755
--- a/tests/cp/debug.sh
+++ b/tests/cp/debug.sh
@@ -25,4 +25,8 @@ grep 'copy offload:.*reflink:.*sparse detection:' cp.out || fail=1
cp --debug --attributes-only file file.cp >cp.out || fail=1
returns_ 1 grep 'copy offload:.*reflink:.*sparse detection:' cp.out || fail=1
+touch file.cp || framework_failure_
+cp --debug --update=none file file.cp >cp.out || fail=1
+grep 'skipped' cp.out || fail=1
+
Exit $fail